package school_project.Menu;


import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.control.Button;
import javafx.scene.control.Label;

import javafx.scene.layout.StackPane;
import javafx.scene.text.Font;
import school_project.Controller;
import school_project.GameUI;
import school_project.Map;
import java.io.FileNotFoundException;

public class ScreenLevelFinish extends StackPane {

    public ScreenLevelFinish(Map lastlevel){
        super();
        Button retry = new Button("Retry Level");
        Label CongraMess  = new Label(" LEVEL DONE GREAT JOB ");
        CongraMess.setFont(Font.font(40));
        Button BckMenu = new Button("Back to Menu");
        BckMenu.setFont(Font.font(25));
        Button ChooseLvl = new Button("Choose level");
        ChooseLvl.setFont(Font.font(25));

        BckMenu.setOnAction(event -> Controller.switchRoot(new MenuAccueil()));
        ChooseLvl.setOnAction(event -> Controller.switchRoot(new MenuLevel(1)));
        retry.setOnAction(event -> {
            try {
                lastlevel.resetPiecesPositions();
                Controller.switchRoot(new GameUI(lastlevel));
            } catch (FileNotFoundException e) {
                throw new RuntimeException(e);
            }
        });

        getChildren().addAll(BckMenu,ChooseLvl,CongraMess,retry);
        setAlignment(retry,Pos.BOTTOM_CENTER);
        setAlignment(BckMenu, Pos.CENTER_RIGHT);
        setAlignment(ChooseLvl, Pos.CENTER_LEFT);
        setAlignment(CongraMess, Pos.TOP_CENTER);
        setMargin(BckMenu, new Insets(0,300,0,0 ));
        setMargin(ChooseLvl,new Insets(0,0,0,300));
        setMargin(CongraMess,new Insets(300,0,0,0));
        setMargin(retry,new Insets(0,0,300,0));

        getStyleClass().add("StackPane");
        getStylesheets().add(String.valueOf(getClass().getResource("StyleMenuAcceuil.css")));
    }
}
